import request from '@/utils/request'
import store from '@/store'

const BASE_URL = store.getters.request_config_baseUrl;

// 获取风险措施清单列表、危险源下的风险列表
export function queryRiskMeasureListByPage(data) {
    return request({
        url: BASE_URL + '/3rd/sysRisk/queryRiskMeasureListByPage',
        method: 'get',
        params: data
    })
}
// 获取风险措施 详情
export function getRiskMeasureListByRiskId(data) {
    return request({
        url: BASE_URL + '/3rd/sysRisk/getRiskMeasureListByRiskId',
        method: 'get',
        params: data
    })
}
// 获取风险责任清单列表
export function queryRiskDutyListByPage(data) {
    return request({
        url: BASE_URL + '/3rd/sysRisk/queryRiskDutyListByPage',
        method: 'get',
        params: data
    })
}
// 获取危险源清单列表
export function queryDangerSrcListByPage(data) {
    return request({
        url: BASE_URL + '/3rd/dangerSrc/queryDangerSrcListByPage',
        method: 'get',
        params: data
    })
}
